Functions
IRQ Handler and Callbacks
Peripheral Driver » HAL Driver » QSPI » Functions

IRQ Handler and Callbacks functions. More...

Collaboration diagram for IRQ Handler and Callbacks:

## Functions
void | hal_qspi_irq_handler (qspi_handle_t *p_qspi)
| Handle QSPI interrupt request. More...
void | hal_qspi_tx_cplt_callback (qspi_handle_t *p_qspi)
| Tx Transfer completed callback. More...
void | hal_qspi_rx_cplt_callback (qspi_handle_t *p_qspi)
| Rx Transfer completed callback. More...
void | hal_qspi_error_callback (qspi_handle_t *p_qspi)
| QSPI error callback. More...
void | hal_qspi_abort_cplt_callback (qspi_handle_t *p_qspi)
| QSPI Abort Complete callback. More...
void | hal_qspi_fifo_threshold_callback (qspi_handle_t *p_qspi)
| FIFO Threshold callback. More...

## Detailed Description

IRQ Handler and Callbacks functions.

## Function Documentation

## ◆ hal_qspi_abort_cplt_callback()

void hal_qspi_abort_cplt_callback | ( | qspi_handle_t * | p_qspi | ) |

QSPI Abort Complete callback.

Parameters

  [in] | p_qspi | Pointer to a QSPI handle which contains the configuration information for the specified QSPI module.

## ◆ hal_qspi_error_callback()

void hal_qspi_error_callback | ( | qspi_handle_t * | p_qspi | ) |

QSPI error callback.

Parameters

  [in] | p_qspi | Pointer to a QSPI handle which contains the configuration information for the specified QSPI module.

## ◆ hal_qspi_fifo_threshold_callback()

void hal_qspi_fifo_threshold_callback | ( | qspi_handle_t * | p_qspi | ) |

FIFO Threshold callback.

Parameters

  [in] | p_qspi | Pointer to a QSPI handle which contains the configuration information for the specified QSPI module.

## ◆ hal_qspi_irq_handler()

void hal_qspi_irq_handler | ( | qspi_handle_t * | p_qspi | ) |

Handle QSPI interrupt request.

Parameters

  [in] | p_qspi | Pointer to a QSPI handle which contains the configuration information for the specified QSPI module.

## ◆ hal_qspi_rx_cplt_callback()

void hal_qspi_rx_cplt_callback | ( | qspi_handle_t * | p_qspi | ) |

Rx Transfer completed callback.

Parameters

  [in] | p_qspi | Pointer to a QSPI handle which contains the configuration information for the specified QSPI module.

## ◆ hal_qspi_tx_cplt_callback()

void hal_qspi_tx_cplt_callback | ( | qspi_handle_t * | p_qspi | ) |

Tx Transfer completed callback.

Parameters

  [in] | p_qspi | Pointer to a QSPI handle which contains the configuration information for the specified QSPI module.